dpkg-fsys-usrunmess(8)

NAMN
dpkg-fsys-usrunmess - gör röran med sammanslagen-/usr-via-aliaskatalogen ogjord

SYNOPS
dpkg-fsys-usrunmess [flagga...]

BESKRIVNING
dpkg-fsys-usrunmess är ett verktyg för att rätta till filsystem som har nyinstallerats med nyare installationsprogram med olyckliga förval eller migrerats till den trasiga sammanslagna /usr via aliaskataloglayout, som inte stöds av dpkg. Se dpkg:s FAQ.

Programmet kommer utföra följande övergripande funktioner:

•   Se om systemet behöver växlas över, annars inte gör någonting.

•   Kontrollera att dpkg-databasen är konsistent och annars avsluta.

•   Hämta listan över filer och alternativ som behöver återställas.

•   Skapa en skugghierarki under /.usrunmess, genom att skapa katalogernas symboliska länkar eller hårdlänka eller kopiera filerna efter behov.

•   Fråga efter bekräftelse innan det fortsätter, om ombett från kommandoraden.

•   Låser dpkg-databasen.

•   Markera alla paket som halvkonfigurerade och tvinga fram körning av utvecklarskript som kan behöva återskapa filer.

•   Ersätt aliaskatalogerna med skuggkatalogerna, genom att skapa en säkerhetskopia av de gamla symboliskt länkade katalogerna och byta namn på skuggkatalogerna över dem.

•   Märk om MAC-information för kataloger och symboliska länkar om nödvändigt.

•   Ta bort säkerhetskopierade symboliska länkar.

•   Ta bort gamla flyttade objekt, men skjut upp borttagning av kataloger.

•   Ta bort uppskjutna kataloger som inte refereras av dpkg-query.

•   Ta bort skugg-rotkatalogen.

•   Register a policy-rc.d to disallow service actions, which means that services might need to be restarted afterwards, ideally via a reboot.

•   Omkonfigurera alla paket.

•   Unregister the policy-rc.d and restore the alternatives state.

Observera: När programmet körs från vissa skal såsom bash(1) eller zsh(1), kan du efter att det har körts be skalet att glömma alla ihågkomna platser för körbara program med till exempel "hash -r".

Note: Some directories might linger after the migration in case they contain untracked files. A list is printed once the script has finished for further investigation.

Varning: Observera att den här åtgärden potentiellt kan göra systemet oanvändbart eller trasigt ifall det uppstår en plötslig krasch eller omstart, systemet är i ett oväntat tillstånd, eller möjliga programfel i skriptet. Var förberedd med återställningsmedia och överväg att säkerhetskopiera systemet i förväg.

FLAGGOR

-p, --prompt
    Fråga vid punkten där det inte finns någon återvändo, så att felsökningsutdata och skugghierarkin kan utvärderas innan man fortsätter.

-n, --no-act
--dry-run
    Den här flaggan aktiverar torrkörningsläget, där inga destruktiva åtgärder utförs, bara förberedelsedelen.

-?, --help
    Visar hjälpskärm och avslutar.

--version
    Visar version och avslutar.

MILJÖVARIABLER

DPKG_USRUNMESS_NOACT
    Den här inställningen anger om torrkörningsläget ska aktiveras.

SE ÄVEN
<https://wiki.debian.org/Teams/Dpkg/FAQ#Q:_Does_dpkg_support_merged-.2Fusr-via-aliased-dirs.3F>.

ÖVERSÄTTNING
Peter Krefting och Daniel Nylander.